We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Aspose.Words for Java with Java 8?

Hi All,


Has anyone used Aspose.Words for Java with Java 8?
Was wondering if there are any things to look out for etc.

I am currently using Aspose.Words for Java version 13.2.0.0 and we are planning to go from Java 6 to Java 8.

Thanks,
-Neville

Hi Neville,


Thanks for your inquiry. I managed to successfully test “Aspose.Words.14.4.jdk16.jar” with Java 8 (JDK 1.8.0_05) on my side. There should not be any issues when using latest version of Aspose.Words for Java over Java 8 environment.

Moreover, I have logged a task for our development team to thoroughly unit test the compatibility of Aspose.Words for Java with JDK 1.8. Your thread has been linked to this issue (WORDSJAVA-893) and you will be notified as soon as this task is worked out.

Best regards,

Thanks for the response Awais.


The issues you have found earlier (filed as WORDSJAVA-893) have been fixed in this .NET update and this Java update.


This message was posted using Notification2Forum from Downloads module by aspose.notifier.

Hi Neville,


It is to update you that the latest version of Aspose.Words for Java supports Java 8. We tested Aspose.Words for Java 1.5 and 1.6 versions on Java 1.8 - all works as expected. We also managed to build and test Aspose.Words jdk1.8 jar but it didn’t add any improvements over jdk1.6 jar. So, we will not ship a separate jar for Java 8. Please use “aspose-words-14.7.0-jdk16.jar” instead.

Best regards,

Thanks for the update Awais.